## PSI Psi Function

Section: Mathematical Functions

### Usage

Computes the psi function for real arguments. The `psi` function takes only a single argument

      y = psi(x)

where `x` is either a `float` or `double` array. The output vector `y` is the same size (and type) as `x`.

### Function Internals

The psi function is defined as

and for integer arguments, is equivalent to the factorial function.

### Example

Here is a plot of the psi function over the range `[-5,5]`.

    --> x = linspace(-5,5);
    --> y = psi(x);
    --> plot(x,y); xlabel('x'); ylabel('psi(x)');

which results in the following plot.